Bug 485295 - No sound on my toshiba X200 with F11 rawhide
No sound on my toshiba X200 with F11 rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 13:51 EST by dominique
Modified: 2009-03-05 14:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 14:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-ALSA-hda-Add-probe_mask-default-for-Toshiba-lapto.patch (1.34 KB, patch)
2009-03-02 11:32 EST, dominique
no flags Details | Diff

  None (edit)
Description dominique 2009-02-12 13:51:09 EST
Description of problem:
I install F11 rawhide for test on my Toshiba X200 and I have no sound (I have sound with F10)
I am with kde 4.2 and kmix don't work: when I launch kmix I have an empty windows, I am not able to configure channel (nothing appear...)
There is same problem when I go with gnome (no sound and nothing to configure).
I remember that I have same problem with F10 and a old kernel (2.6.27.9-159.fc10) and it was solved with the following kernel.

Output of lspci | grep Audio

[dominique@localhost ~]$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
Comment 1 Tim Jackson 2009-02-12 14:53:56 EST
From the description this does not appear to be anything to do with alsa-firmware
Comment 2 dominique 2009-02-13 03:33:07 EST
Just an information
With F 10 I have:

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

 And with F11 rawhide I have:

aplay -l
No sound-card detected
Comment 3 dominique 2009-02-15 01:38:54 EST
The exact text with F11 rawhide for aplay -l is 
[dominique@localhost ~]$ aplay -l
aplay: device_list:217: no soundcards found...
Comment 4 dominique 2009-02-16 01:29:06 EST
Hello
Just an other info:
For test I install  kernel-2.6.28-3.fc11 from koji and with this kernel I have sound, work fine...

[dominique@localhost ~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC268 Digital [ALC268 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

I you want another output...
Comment 5 dominique 2009-02-17 10:57:32 EST
Nobody have this problem with kernel 2.6.29 ?
Comment 6 Adam Williamson 2009-02-19 00:05:52 EST
Check your /var/log/messages for any error messages, particularly see if you have any like I do. My report:

https://bugzilla.redhat.com/show_bug.cgi?id=486166

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 dominique 2009-02-19 03:04:01 EST
Hi
I post this bug on kernel bug tracker and they have a solution.
In console as root do the following command:
[root@localhost ~]# rmmod snd-hda-intel
[root@localhost ~]# modprobe snd-hda-intel probe_mask=0x1
And after my sound work, alsa mixer also work...Also you would must have to restart pulseaudio by "pulseaudio -D".
Just an default, when I re-boot this configuration is don't save and I am obliged doing the previous commands.
Comment 8 Adam Williamson 2009-02-19 13:24:06 EST
For the record, doesn't work for me, so they're different bugs.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Chuck Ebbert 2009-02-19 18:50:06 EST
(In reply to comment #7)
> Hi
> I post this bug on kernel bug tracker and they have a solution.
> In console as root do the following command:
> [root@localhost ~]# rmmod snd-hda-intel
> [root@localhost ~]# modprobe snd-hda-intel probe_mask=0x1
> And after my sound work, alsa mixer also work...Also you would must have to
> restart pulseaudio by "pulseaudio -D".
> Just an default, when I re-boot this configuration is don't save and I am
> obliged doing the previous commands.

You can make that permanent by creating a file called /etc/modprobe.d/alsa and putting this line of text in it:

options snd-hda-intel probe_mask=0x1
Comment 10 dominique 2009-02-20 00:57:24 EST
Ok chuck but that not work well.
When I do, in console after I login:
[root@localhost ~]# rmmod snd-hda-intel
[root@localhost ~]# modprobe snd-hda-intel probe_mask=0x1
the sound work well and i can see two sound card (Intel and realtek)
But when I create the alsa file, I just see Intel and sound is lag (around 1 second)
I do other thing:
add the two command line in /etc/rc.local ,with sleep or not, for same result:
just one card and sound lag
Comment 11 dominique 2009-03-02 11:30:22 EST
Hello every body...
On kernel bug tracker Takashi Iwai made apatch for my problem.
I have patched the latest kernel from koji (2.6.29-0.176.rc6.git5.fc11.x86_64) and now I have sound. I send this patch in Attachments.
Thank for all
Chepioq
Comment 12 dominique 2009-03-02 11:32:04 EST
Created attachment 333760 [details]
0001-ALSA-hda-Add-probe_mask-default-for-Toshiba-lapto.patch
Comment 13 Chuck Ebbert 2009-03-05 14:05:34 EST
Committed upstream : 38f1df27e3191d76e983cb9c6b4392582fd32fda
Comment 14 dominique 2009-03-05 14:50:28 EST
I install the 2.6.29-0.203.rc7.fc11.x86_64 kernel from koji and I have sound, work fine.
You can marked this bug as resolute...

Note You need to log in before you can comment on or make changes to this bug.